List Usage Reprices
GET /v1/projects/:project_id/usage/events/repriceAuthentication
Section titled “Authentication”Authorization: Bearer <api-key>Requires usage:read.
Path Parameters
Section titled “Path Parameters”| Field | Required | Description |
|---|---|---|
project_id |
Yes | Project that owns the tasks. |
Request Body
Section titled “Request Body”Empty. This GET endpoint accepts filters only through query parameters.
Query Parameters
Section titled “Query Parameters”| Field | Required | Description |
|---|---|---|
limit |
No | Page size. Defaults to 50; maximum is 200. |
Example
Section titled “Example”curl 'http://127.0.0.1:8080/v1/projects/proj_gateway/usage/events/reprice?limit=20' \ -H 'Authorization: Bearer <api-key>'Response
Section titled “Response”{ "reprices": [ { "id": "urp_001", "tenant_id": "t_001", "project_id": "proj_gateway", "revocation_request_id": "urv_reprice_001", "extractor_rule_set_id": "ers_new", "extractor_version": 3, "pricing_rule_set_id": "prs_new", "pricing_version": 2, "reason": "old token price was incorrect", "status": "completed", "requested_count": 2, "completed_count": 2, "failed_count": 0, "created_at": 1781222500, "completed_at": 1781222510, "updated_at": 1781222510 } ]}